<template>
  <v-layout wrap class="writing-instruction-video">
    <group-item :number-items="content.length" :active-item="activeVideo" @next="next" @back="back">
      <v-layout justify-center align-start>
        <video-app :media="contentVideo" isQuestion/>
      </v-layout>
    </group-item>
    <h3 class="writing-instruction-video__description">{{contentText}}</h3>
  </v-layout>
</template>

<script>
import GroupItem from '@/components/Globals/Groups/Index';
import VideoApp from '@/components/Globals/Video/Index';

export default {
  props: {
    content: {
      type: Array,
      default: () => [''],
    },
  },
  components: {
    GroupItem,
    VideoApp,
  },
  data() {
    return {
      activeVideo: 0,
    };
  },
  methods: {
    next(data) {
      this.activeVideo = data;
    },
    back(data) {
      this.activeVideo = data;
    },
  },
  computed: {
    contentVideo() {
      return this.content[this.activeVideo].value;
    },
    contentText() {
      return this.content[this.activeVideo].description;
    },
  },
};
</script>

<style lang="sass">
  @import ~@/styles/defaults/mobileFirst

  .writing-instruction-video
    width: 95%
    min-width: 70%
    max-width: 95vw
    margin: 0 auto
    height: 100%
    &__description
      width: 100%
      text-align: center
    &__img
      width: auto
      max-width: 90%
      max-height: 30vh
    +media-min-lg()
      width: 99%
</style>
